package com.example.hellodocker;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@SpringBootApplication
public class HellodockerApplication {

    @Value("${server.port}") // 读取配置文件的端口
    String port;

    public static void main(String[] args) {
        SpringApplication.run(HellodockerApplication.class, args);
    }

    /**
     * 设置一个方法 参数什么的 可以用HttpServletRequest 也可以用 @RequestParam 测试我就不添加了
     *
     * @return
     */
    @RequestMapping(value = "/hi")
    public String testMethod(@RequestParam(value = "name", defaultValue = "eee") String name)
    {
        return "hi " + name + ", i am from port:" + port;
    }
}
